Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 397589 - app-portage/eix-0.23.3-r1 fails to compile with gcc-4.7.0_pre9999 (patch included)
Summary: app-portage/eix-0.23.3-r1 fails to compile with gcc-4.7.0_pre9999 (patch incl...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Martin Väth
URL: http://pubs.opengroup.org/onlinepubs/...
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.7
  Show dependency tree
 
Reported: 2012-01-04 04:43 UTC by Göktürk Yüksek
Modified: 2012-04-30 09:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info =app-portage/eix-0.23.3-r1 (emerge_info,15.67 KB, text/plain)
2012-01-04 04:44 UTC, Göktürk Yüksek
Details
Build log (app-portage:eix-0.23.3-r1:20120104-035803.log,9.68 KB, text/plain)
2012-01-04 04:45 UTC, Göktürk Yüksek
Details
Proposed patch (eix-0.23.3-include-fix.patch,764 bytes, patch)
2012-01-04 04:45 UTC, Göktürk Yüksek
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Göktürk Yüksek archtester gentoo-dev 2012-01-04 04:43:41 UTC
eix makes use of close() and isatty() calls without including <unistd.h> header in some of the files, which causes a build failure with gcc-4.7.0_pre9999. I attached a trivial patch to fix this. SVN revision of gcc is r182860, in case you need.

Reproducible: Always
Comment 1 Göktürk Yüksek archtester gentoo-dev 2012-01-04 04:44:43 UTC
Created attachment 297869 [details]
emerge --info =app-portage/eix-0.23.3-r1
Comment 2 Göktürk Yüksek archtester gentoo-dev 2012-01-04 04:45:11 UTC
Created attachment 297871 [details]
Build log
Comment 3 Göktürk Yüksek archtester gentoo-dev 2012-01-04 04:45:37 UTC
Created attachment 297873 [details, diff]
Proposed patch
Comment 4 Martin Väth 2012-01-04 17:55:44 UTC
Thanks. Missing includes of md5.cc had already been fixed in eix-0.23.4,
but the isatty() calls were not yet included in src/check_includes.sh

This is now fixed in eix git master at BerliOS (>=eix-0.23.6).
Comment 5 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-01-16 02:59:04 UTC
+*eix-0.23.6 (16 Jan 2012)
+
+  16 Jan 2012; Jeremy Olexa <darkside@gentoo.org> +eix-0.23.6.ebuild:
+  Version bump, small bug fixes including Gentoo bug 397589 and new cache
+  method (mainly for Funtoo Linux usage)